Bug 161713 - XKB doesn't support swiss french layout
XKB doesn't support swiss french layout
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: libxklavier (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-26 08:01 EDT by Florian Loretan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 17:51:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Loretan 2005-06-26 08:01:03 EDT
I've had a similar problem using the swiss french keyboard. 
It works fine if it is set as the only layout, but i can't switch between the US
keyboard layout and the swiss french. When i try to add it into the list
(already has english and german), it gives me the following error: 

Error activating XKB configuration.
It can happen under various circumstances:
- a bug in libxklavier library
- a bug in X server (xkbcomp, xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
60802000

If you report this situation as a bug, please include:
- The result of <b>xprop -root | grep XKB</b>
- The result of <b>gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd</b>


Here is what the execution of those commands give me:
[flo@flo ~]$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us,de", ",", "grp:alts_toggle"
[flo@flo ~]$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd  layouts =
[us,de,fr_CH]
 model = pc105
 overrideSettings = false
 options = [grp grp:alts_toggle]

I've had similar problems trying the french layout on fc3, and it is now fixed
under fc4, so i'm guessing the procedure to fix this bug is known. Unfortunately
the french layout (azerty) is very different from the swiss french one (qwertz).

It is just a detail, but it makes it hard to use Fedora if you can't even type
an email with the appropriate spelling (accents).
Comment 1 Karsten Hopp 2005-07-05 04:47:27 EDT
I'm quite sure this report isn't about x3270 (IBM mainframe terminal emulator),
this is either a gnome or a X server problem.
Comment 2 Christian Iseli 2007-01-19 19:08:49 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.